version: 2
name: testgitea环境
description: ""
global:
  concurrent: 1
trigger:
  webhook: gitlink@1.0.0
  event:
    - ref: push
      ruleset:
        - param-ref: branch
          operator: EQ
          value: '"feature"'
      ruleset-operator: AND
workflow:
  - ref: start
    name: 开始
    task: start
  - ref: git_clone_0
    name: git clone
    on-failure: ignore
    task: git_clone@1.2.6
    input:
      remote_url: '"https://gitlink.org.cn/Gitlink/gitea_hat.git"'
      ref: '"refs/heads/feature"'
      commit_id: '""'
      depth: 1
    needs:
      - start
  - ref: golang_build_node_0
    name: golang_build_node
    on-failure: ignore
    task: yystopf/golang_build_node@0.0.2
    input:
      workspace: git_clone_0.git_path
      out_bin_name: '"gitea"'
      goos: '"linux"'
      goarch: '"amd64"'
    needs:
      - git_clone_0
  - ref: gitlink_scp_resource_0
    name: scp复制文件（支持跳板机）
    on-failure: ignore
    task: yystopf/gitlink_scp_resource@0.0.7
    input:
      ssh_private_key: ((ssh.siyao))
      remote_host: '"10.9.69.134"'
      remote_port: '"30122"'
      remote_user: '"root"'
      remote_file: '"/root/gitea"'
      local_file: golang_build_node_0.bin_dir
      gateway_host: '"123.59.135.93"'
      gateway_port: '"51123"'
      gateway_user: '"pdl"'
      temp_file: '"/home/pdl/gitea"'
    needs:
      - golang_build_node_0
  - ref: gitlink_ssh_cmd_0
    name: ssh执行命令（支持跳板机）
    task: yystopf/gitlink_ssh_cmd@0.0.6
    input:
      ssh_private_key: ((ssh.siyao))
      remote_host: '"10.9.69.134"'
      remote_port: '"30122"'
      remote_user: '"root"'
      gateway_host: '"123.59.135.93"'
      gateway_port: '"51123"'
      gateway_user: '"pdl"'
      ssh_cmd: '"sh update.sh"'
    needs:
      - gitlink_scp_resource_0
  - ref: end
    name: 结束
    task: end
    needs:
      - gitlink_ssh_cmd_0

